package tlass.project;

import java.io.IOException;
import java.security.NoSuchAlgorithmException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import tlass.project.exceptions.DbConnectionException;


public class LoginHandler {

	/**
	 * Checks if the User is valid
	 * @param user
	 * @return
	 * @throws DbConnectionException
	 */
	public boolean checkUser(User user) throws DbConnectionException {
		// TODO: Remove this debug hack
//		if (user.getPassword().equals(""))
//			return true;
		try {
			Connection connection = new DataStoreConnection().get();
			String command= "SELECT * FROM users WHERE username = ? AND password = ?";
			PreparedStatement statement= connection.prepareStatement(command);
			String password= DataStoreConnection.encrypt(user.getPassword());
			statement.setString(1, user.getUsername());
			statement.setString(2, password);
			ResultSet result= statement.executeQuery();
			boolean present= result.next();
			result.close();
			connection.close();
			
			return present;
		} catch (DbConnectionException e1) {
			throw e1;
		} catch (SQLException e) {
			return false;
		} catch (NoSuchAlgorithmException e) {
			return false;
		}
	}
}
