/* User.java
 * CISC475 Project
 * Group 02
 */

package tlass.project;

import javax.swing.JOptionPane;

public class User {
	
	private String username;
	private String password;

	/**
	 * Creates a User given a username and password
	 * @param aUsername
	 * @param aPassword
	 */
	public User(String aUsername, String aPassword){
		username = aUsername;
		password = aPassword;
	}
	
	/**
	 * Creates a username with a blank username and password
	 */
	public User() {
		username= "";
		password= "";
	}
	
	// Getters
	/**
	 * Returns the username of the User
	 * @return
	 */
	public String getUsername(){ return username; }
	
	/**
	 * Returns the password of the User
	 * @return 
	 */
	public String getPassword(){ return password; }
	
	//Setters
	/**
	 * Sets the username of the user to the supplied string
	 * @param u username
	 */
	public void setUsername(String u){ username = u; }
	
	/**
	 * Sets the password of the user to the supplied character array
	 * @param cs password
	 */
	public void setPassword(char[] cs){ password = new String(cs); }
	
	/**
	 * Sets the password of the user to the supplied string
	 * @param s password
	 */
	public void setPassword(String s){ password = s; }
}
