package tlass.project.model;

import java.io.Serializable;

public class Skill implements Serializable {
	
	private static int skills= 0;
	private String name;
	private int id;

	/**
	 * Constructor for Skill
	 * @param name
	 */
	public Skill(String name) {
		this.name= name;
		setId(skills);
		skills+= 1;
	}
	/**
	 * Sets Skill name
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * Returns Skill name
	 * @return
	 */
	public String getName() {
		return name;
	}
	/**
	 * Sets Skill id
	 * @param id
	 */
	public void setId(int id) {
		this.id = id;
	}
	
	/**
	 * Gets Skill id
	 * @return
	 */
	public int getId() {
		return id;
	}
	
	/**
	 * Returns name of Skill when referring to just "Skill"
	 */
	public String toString(){
		return name;		
	}
	
}