package tlass.unitTesting.gui;

import static org.junit.Assert.*;
import junit.framework.TestCase;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import tlass.project.Controller;
import tlass.project.gui.MainMenu;

public class TestMainMenu {
	private static Controller c;
	private MainMenu mm;

	/**
	 * create the controller for the class
	 * 
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		c = new Controller();
	}

	/**
	 * null the controller for the class
	 * 
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
		c = null;
	}

	/**
	 * create the main menu for each test
	 * 
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
		mm = new MainMenu(c);
	}

	/**
	 * null the main menu for each test
	 * 
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
		mm = null;
	}

	/**
	 * test that the constructor worked correctly
	 */
	@Test
	public void constructorTest() {
		assertEquals("There should be 3 components",3,mm.getComponentCount());
	}

}