package tlass.unitTesting.project;

import static org.junit.Assert.*;
import junit.framework.TestCase;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import tlass.project.Pair;
/**
 * 
 * @author AndMac
 *
 */
public class TestPair {

	Pair<String, String> pair;
	private final String first = "hello";
	private final String second = "there";
	
	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
		pair = new Pair<String, String>(first, second);
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
		pair = null;
	}

	/**
	 * Tests the pair constructor
	 */
	@Test
	public void pairTest() {
		assertNotNull("Pair constructor failed", pair);
	}

	/**
	 * Tests the pair toString
	 */
	@Test
	public void toStringTest() {
		assertEquals("Pair toString failed", pair.toString() ,"(hello, there)");
	}
}