package tlass.project;

import javax.swing.JOptionPane;

public class Auxiliary {
	/**
	 * join strings on a glue, easy creator for csv or other delimeter
	 * 
	 * @param strings
	 * @param glue
	 * @return joined string
	 */
	public static String join(String[] strings, String glue) {
		//return an empty string if the input strings array is empty
		if (strings.length == 0) {
			return "";
		}
		StringBuilder out = new StringBuilder();
		//add the first string
		out.append(strings[0]);
		//add the glue and then the next string
		for (int i = 1; i < strings.length; i++) {
			out.append(glue).append(strings[i]);
		}
		return out.toString();
	}

	/**
	 * open a dialog box that tells the user there is a connection error
	 */
	public static void showConnectionError() {
		JOptionPane.showMessageDialog(null,
						"There was a connection error, couldn't finish this action. Please try again.",
						"Connection error", JOptionPane.ERROR_MESSAGE);
	}
}
