package tlass.project;

/**
 * This class follows the Listener pattern, and can be used to hook a function onto an event.
 * @author acbart
 *
 */
public interface ModelListener {
	/**
	 * Performs an action based on an event.
	 * @param event
	 */
	public void onEvent(ModelEvent event);
}
