package tlass.project;

public class Pair<A, B> {
	private final A first;
	private final B second;

	/**
	 * Creates a pair
	 * @param a
	 * @param b
	 */
	public Pair(A a, B b) {
		first= a;
		second= b;
	}
	
	/**
	 * Returns the first element of the pair
	 * @return
	 */
	public A getFirst() {
		return first;
	}

	/**
	 * Returns the second element of the pair
	 * @return
	 */
	public B getSecond() {
		return second;
	}

	/**
	 * Returns the pair as a string
	 */
	public String toString() {
		return "(" + first + ", " + second + ")";
	}
}
