package tlass.unitTesting.model;

import static org.junit.Assert.*;
import junit.framework.TestCase;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import tlass.project.model.Skill;
/**
 * 
 * @author AndMac
 *
 */
public class TestSkill {
	Skill skill;
	
	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * Create a skill for testing
	 * 
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
		skill = new Skill("A skill");
	}

	/**
	 * Set skill to null after testing is complete
	 * 
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
		skill = null;
	}

	/**
	 * Test for successful creation of a skill
	 */
	@Test
	public void testSkillCreation() {
		assertNotNull("Skill constructor failed", skill);
	}
	
	/**
	 * Test for toString method to print a Skill
	 */
	@Test
	public void testSkillToString() {
		assertEquals("Skill toString failed", skill.toString(),"A skill");
	}

}