package tlass.unitTesting.model;

import static org.junit.Assert.*;
import static org.junit.Assert.fail;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import tlass.project.model.TimeBlock;

public class TestTimeBlock {
	TimeBlock time;
	int timeStartHour, timeEndHour,timeStartMin, timeEndMin;
	String dayStart, dayEnd, timeStartH, timeEndH, timeStartM, timeEndM;
	 
	
	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
		time = new TimeBlock(6, 35, 2, 35, 3);		
		timeStartHour = time.getStartHour();
		timeEndHour = time.getEndHour();
		timeStartMin = time.getStartMinute();
		timeEndMin = time.getEndMinute();
		dayStart = time.getStartDayName();
		dayEnd = time.getEndDayName();
		timeStartH = time.getStartHourString();
		timeEndH = time.getEndHourString();
		timeStartM = time.getStartMinuteString();
		timeEndM = time.getEndMinuteString();
		
		
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void test() {
		TimeBlock t = new TimeBlock(5,12, 4, 35, 4);
		TimeBlock t2 = new TimeBlock(4*60+12, 5, 4*60+35, 4);
		TimeBlock t3= new TimeBlock(0,1,5,1);
		System.out.println(t3.getStartHour());
		assertEquals(t.getStartHour(), 4);
		assertEquals(t2.getStartHour(), 4);
		assertEquals(timeStartHour, 2);
		assertEquals(timeEndMin, 35);
		assertEquals(timeEndHour, 3);
		assertEquals(timeEndMin, 35);
		assertEquals(timeStartH, "2");
		assertEquals(timeStartM, "35");
		assertEquals(timeEndH, "3");
		assertEquals(timeEndM, "35");
	}
}
