package tlass.unitTesting.project;

import static org.junit.Assert.*;
import junit.framework.TestCase;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import tlass.project.User;
/**
 * 
 * @author AndMac
 *
 */
public class TestUser {
	User user01, user02;
	
	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * Create Users for testing
	 * 
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
		user01 = new User();
		user02 = new User("aUsername", "aPassword");
	}

	/**
	 * Set Users to null after testing is complete
	 * 
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
		user01 = null;
		user02 = null;
	}
	/**
	 * Test for a successful creation of a user
	 */
	@Test
	public void testUserCreation() {
		assertNotNull("User01 constructor failed", user01);
		assertNotNull("User02 constructor failed", user02);
	}

}